---
title: Get Cache Reserve Clear
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Cache](https://developers.cloudflare.com/api/go/resources/cache)

[Cache Reserve](https://developers.cloudflare.com/api/go/resources/cache/subresources/cache_reserve)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Cache Reserve Clear

client.Cache.CacheReserve.Status(ctx, query) (\*[CacheReserveStatusResponse](<https://developers.cloudflare.com/api/go/resources/cache#(resource)%20cache.cache_reserve%20%3E%20(model)%20CacheReserveStatusResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/cache/cache\_reserve\_clear

You can use Cache Reserve Clear to clear your Cache Reserve, but you must first disable Cache Reserve. In most cases, this will be accomplished within 24 hours. You cannot re-enable Cache Reserve while this process is ongoing. Keep in mind that you cannot undo or cancel this operation.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone Settings Write``Zone Settings Read``Zone Read``Zone Write`

##### ParametersExpand Collapse

<details>

<summary>

query CacheReserveStatusParams

</summary>

ZoneID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20cache.cache_reserve%20%3E%20(method)%20status%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20cache.cache_reserve%20%3E%20(method)%20status%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type CacheReserveStatusResponse struct{…}

You can use Cache Reserve Clear to clear your Cache Reserve, but you must first disable Cache Reserve. In most cases, this will be accomplished within 24 hours. You cannot re-enable Cache Reserve while this process is ongoing. Keep in mind that you cannot undo or cancel this operation.

</summary>

ID <a href="https://developers.cloudflare.com/api/go/resources/cache#(resource)%20cache.cache_reserve%20%3E%20(model)%20cache_reserve_clear%20%3E%20(schema)">CacheReserveClear</a>

ID of the zone setting.

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20CacheReserveStatusResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

StartTs Time

The time that the latest Cache Reserve Clear operation started.

formatdate-time

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20CacheReserveStatusResponse%20%3E%20(schema)%20%3E%20(property)%20start_ts">Link to this property</a>

<details>

<summary>

State CacheReserveStatusResponseState

The current state of the Cache Reserve Clear operation.

</summary>

One of the following:

const CacheReserveStatusResponseStateInProgress CacheReserveStatusResponseState = "In-progress"

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20CacheReserveStatusResponse%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%200">Link to this property</a>

const CacheReserveStatusResponseStateCompleted CacheReserveStatusResponseState = "Completed"

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20CacheReserveStatusResponse%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20CacheReserveStatusResponse%20%3E%20(schema)%20%3E%20(property)%20state">Link to this property</a>

EndTs TimeOptional

The time that the latest Cache Reserve Clear operation completed.

formatdate-time

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20CacheReserveStatusResponse%20%3E%20(schema)%20%3E%20(property)%20end_ts">Link to this property</a>

ModifiedOn TimeOptional

Last time this setting was modified.

formatdate-time

<a href="#(resource)%20cache.cache_reserve%20%3E%20(model)%20CacheReserveStatusResponse%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

</details>

[Link to this property](<#(resource)%20cache.cache_reserve%20%3E%20(model)%20CacheReserveStatusResponse%20%3E%20(schema)>)

### Get Cache Reserve Clear

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/cache"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Cache.CacheReserve.Status(context.TODO(), cache.CacheReserveStatusParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
```

200 example

200 example

4XX example

```
{
  "errors": [],
  "messages": [],
  "result": {
    "end_ts": "2023-10-02T12:00:00.12345Z",
    "id": "cache_reserve_clear",
    "start_ts": "2023-10-02T10:00:00.12345Z",
    "state": "Completed"
  },
  "success": true
}
```

```
{
  "errors": [],
  "messages": [],
  "result": {
    "id": "cache_reserve_clear",
    "start_ts": "2023-10-02T10:00:00.12345Z",
    "state": "In-progress"
  },
  "success": true
}
```

```
{
  "errors": [
    {
      "code": 1142,
      "message": "Unable to retrieve cache_reserve_clear setting value. The zone setting does not exist because you never performed a Cache Reserve Clear operation."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
```

##### Returns Examples

200 example

200 example

4XX example

```
{
  "errors": [],
  "messages": [],
  "result": {
    "end_ts": "2023-10-02T12:00:00.12345Z",
    "id": "cache_reserve_clear",
    "start_ts": "2023-10-02T10:00:00.12345Z",
    "state": "Completed"
  },
  "success": true
}
```

```
{
  "errors": [],
  "messages": [],
  "result": {
    "id": "cache_reserve_clear",
    "start_ts": "2023-10-02T10:00:00.12345Z",
    "state": "In-progress"
  },
  "success": true
}
```

```
{
  "errors": [
    {
      "code": 1142,
      "message": "Unable to retrieve cache_reserve_clear setting value. The zone setting does not exist because you never performed a Cache Reserve Clear operation."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
```